<!--
/*
 *  Copyright 2012 by Texas Instruments Incorporated .
 *  
 */
-->

<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>Linux Utils Application Programming Interface (API): CMEM_AllocParams Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<table width="100%">
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border="0" src="tilogo.gif" /></a></td>
  <td bgcolor="red"><img src="titagline.gif" /></td>
</tr>
</table>
<!-- Generated by Doxygen 1.7.2 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li id="searchli">
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<h1>CMEM_AllocParams Struct Reference<br/>
<small>
[<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html">Contiguous Memory Manager</a>]</small>
</h1>  </div>
</div>
<div class="contents">
<!-- doxytag: class="CMEM_AllocParams" -->
<p>Parameters for <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa8f06de969151e59379f7491b7c58b4a" title="Allocate memory of a specified size.">CMEM_alloc()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa246effe37bc6dafa7146c443c83e831" title="Allocate memory of a specified size from a specified memory block.">CMEM_alloc2()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877" title="Allocate memory from a specified pool.">CMEM_allocPool()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga209562d2562a6a6f3ddcce162f835468" title="Allocate memory from a specified pool in a specified memory block.">CMEM_allocPool2()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae39f01bac7c437e9738090bef4aed158" title="Free a buffer previously allocated with CMEM_alloc()/CMEM_allocPool().">CMEM_free()</a>.  
<a href="#_details">More...</a></p>

<p><code>#include &lt;<a class="el" href="cmem_8h_source.html">cmem.h</a>&gt;</code></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_m_e_m___alloc_params.html#a8da4d2baae4c5afd744e018d8ff5e9b5">type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_m_e_m___alloc_params.html#aea56808521a5b2235f23387609c8a710">flags</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_m_e_m___alloc_params.html#a7b391e5ff79a906f4fc7a48726075c2d">alignment</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Parameters for <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa8f06de969151e59379f7491b7c58b4a" title="Allocate memory of a specified size.">CMEM_alloc()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa246effe37bc6dafa7146c443c83e831" title="Allocate memory of a specified size from a specified memory block.">CMEM_alloc2()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877" title="Allocate memory from a specified pool.">CMEM_allocPool()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga209562d2562a6a6f3ddcce162f835468" title="Allocate memory from a specified pool in a specified memory block.">CMEM_allocPool2()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae39f01bac7c437e9738090bef4aed158" title="Free a buffer previously allocated with CMEM_alloc()/CMEM_allocPool().">CMEM_free()</a>. </p>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a8da4d2baae4c5afd744e018d8ff5e9b5"></a><!-- doxytag: member="CMEM_AllocParams::type" ref="a8da4d2baae4c5afd744e018d8ff5e9b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="struct_c_m_e_m___alloc_params.html#a8da4d2baae4c5afd744e018d8ff5e9b5">CMEM_AllocParams::type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>either CMEM_HEAP or CMEM_POOL </p>

</div>
</div>
<a class="anchor" id="aea56808521a5b2235f23387609c8a710"></a><!-- doxytag: member="CMEM_AllocParams::flags" ref="aea56808521a5b2235f23387609c8a710" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="struct_c_m_e_m___alloc_params.html#aea56808521a5b2235f23387609c8a710">CMEM_AllocParams::flags</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>either CMEM_CACHED or CMEM_NONCACHED </p>

</div>
</div>
<a class="anchor" id="a7b391e5ff79a906f4fc7a48726075c2d"></a><!-- doxytag: member="CMEM_AllocParams::alignment" ref="a7b391e5ff79a906f4fc7a48726075c2d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="struct_c_m_e_m___alloc_params.html#a7b391e5ff79a906f4fc7a48726075c2d">CMEM_AllocParams::alignment</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>only used for heap allocations, must be power of 2 </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="cmem_8h_source.html">cmem.h</a></li>
</ul>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1" /><small>
Copyright  2012, Texas Instruments Incorporated</small>
</body>
</html>
<!--
/*
 * @(#) linuxutils_3_23_00_01; 1, 0, 0,1; 5-30-2012 11:51:36; /db/atree/library/trees/linuxutils/linuxutils-l01/src/ xlibrary

 */
-->

